# Use an official Ubuntu as a parent image
FROM ubuntu:latest

# Set the working directory in the container to /app
WORKDIR /server

# Install necessary packages, including CMake, a C++ compiler, and wget
RUN apt-get update && \
    apt-get install -y cmake g++ make wget zlib1g-dev && \
    apt-get clean;

# Copy the current directory contents into the container at /app
COPY . /server

# Download Crow library
RUN apt-get install ./lib/crow-1.2.1.deb -y

# Make the build directory
RUN mkdir -p build && cd build

# Run CMake to configure the build
RUN cmake .

# Build the project
RUN cmake --build .

# Expose port 8888 for the web server
EXPOSE 8888

# Command to run the executable
CMD ["./douwco_web"]
